gslbvserver_gslbservicegroupmember_binding
Binding object showing the gslbservicegroupmember that can be bound to gslbvserver.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| order | <Integer> | Read-write | Order number to be assigned to the service when it is bound to the lb vserver.
Minimum value = 1
Maximum value = 8192
|
| weight | <Integer> | Read-write | Weight for the service.
Minimum value = 1
Maximum value = 100
|
| servicegroupname | <String> | Read-write | The GSLB service group name bound to the selected GSLB virtual server. |
| name | <String> | Read-write | Name of the virtual server on which to perform the binding operation.
Minimum length = 1
|
| dynamicweight | <String> | Read-only | Specify if the appliance should consider the service count, service weights, or ignore both when using weight-based load balancing methods. The state of the number of services bound to the virtual server help the appliance to select the service.
Default value: DISABLED
Possible values = SERVICECOUNT, SERVICEWEIGHT, DISABLED
|
| orderstr | <String> | Read-only | Order number in string form assigned to the service when it is bound to the lb vserver. |
| thresholdvalue | <Integer> | Read-only | Tells whether threshold exceeded for this service participating in CUSTOMLB. |
| gslbthreshold | <Integer> | Read-only | Indicates if gslb svc has reached threshold. |
| svreffgslbstate | <String> | Read-only | Effective state of the gslb svc.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| preferredlocation | <String> | Read-only | The target site to be returned in the DNS response when a policy is successfully evaluated against the incoming DNS request. Target site is specified in dotted notation with up to 6 qualifiers. Wildcard `*' is accepted as a valid qualifier token. |
| svcsitepersistence | <String> | Read-only | Type of Site Persistence set on the bound service.
Possible values = ConnectionProxy, HTTPRedirect, NONE
|
| sitepersistcookie | <String> | Read-only | This field is introduced for displaying the cookie in cluster setup.
Minimum length = 1
|
| ipaddress | <String> | Read-only | IP address. |
| curstate | <String> | Read-only | State of the gslb vserver.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| servicetype | <String> | Read-only | Protocol used by services bound to the virtual server.
Possible values = HTTP, FTP, TCP, UDP, SSL, SSL_BRIDGE, SSL_TCP, NNTP, ANY, SIP_UDP, SIP_TCP, SIP_SSL, RADIUS, RDP, RTSP, MYSQL, MSSQL, ORACLE
|
| port | <Integer> | Read-only | Port number.
Range 1 - 65535
* in CLI is represented as 65535 in NITRO API
|
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of gslbvserver_gslbservicegroupmember_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the gslbvserver_gslbservicegroupmember_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbvserver_gslbservicegroupmember_binding": [ {
"order":<Integer_value>,
"weight":<Integer_value>,
"servicegroupname":<String_value>,
"name":<String_value>,
"dynamicweight":<String_value>,
"orderstr":<String_value>,
"thresholdvalue":<Integer_value>,
"gslbthreshold":<Integer_value>,
"svreffgslbstate":<String_value>,
"preferredlocation":<String_value>,
"svcsitepersistence":<String_value>,
"sitepersistcookie":<String_value>,
"ipaddress":<String_value>,
"curstate":<String_value>,
"servicetype":<String_value>,
"port":<Integer_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbvserver_gslbservicegroupmember_binding": [ {
"order":<Integer_value>,
"weight":<Integer_value>,
"servicegroupname":<String_value>,
"name":<String_value>,
"dynamicweight":<String_value>,
"orderstr":<String_value>,
"thresholdvalue":<Integer_value>,
"gslbthreshold":<Integer_value>,
"svreffgslbstate":<String_value>,
"preferredlocation":<String_value>,
"svcsitepersistence":<String_value>,
"sitepersistcookie":<String_value>,
"ipaddress":<String_value>,
"curstate":<String_value>,
"servicetype":<String_value>,
"port":<Integer_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_gslbservicegroupmember_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"gslbvserver_gslbservicegroupmember_binding": [ { "__count": "#no"} ] }